% Esercizio 2
close all
clear all
clc


A = gallery('poisson',10);
xsol = ones(size(A,2),1);
b = A*xsol;

x0 = zeros(size(A,2),1);
tol = 1e-8;
maxiter = 100;

[x_j,flag_j,res_j] = mJacobi(A,b,x0,tol,maxiter);
[x_gs,flag_gs,res_gs] = mGaussSeidel(A,b,x0,tol,maxiter);


h = semilogy(1:length(res_j),res_j,'b');
set(h,'LineWidth',2);
hold on
h = semilogy(1:length(res_gs),res_gs,'r');
set(h,'LineWidth',2);
hold off
legend('Jacobi','Gauss-Seidel');
